Package org.eclipse.emf.cdo.security

## Interface User

- All Superinterfaces:
    `Assignee`, `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SecurityElement`, `SecurityItem`
  All Known Implementing Classes:
    `UserImpl`

      public interface User
      extends Assignee

  A representation of the model object 'User'.
  See Also:
    `SecurityPackage.getUser()`
  Generated
  Model
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

    The following features are supported:

    - `Groups`
    - `Label`
    - `First Name`
    - `Last Name`
    - `Email`
    - `Default Access Override`
    - `Default Access`
    - `Locked`
    - `Password`
    - `All Groups`
    - `All Roles`
    - `All Permissions`
    - `Unassigned Roles`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADMINISTRATOR` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EList<Group>` | `getAllGroups()` | Returns the value of the 'All Groups' reference list.
    `EList<Permission>` | `getAllPermissions()` | Returns the value of the 'All Permissions' reference list.
    `EList<Role>` | `getAllRoles()` | Returns the value of the 'All Roles' reference list.
    `Access` | `getDefaultAccess()` | Returns the value of the 'Default Access' attribute.
    `Access` | `getDefaultAccessOverride()` | Returns the value of the 'Default Access Override' attribute.
    `java.lang.String` | `getEmail()` | Returns the value of the 'Email' attribute.
    `java.lang.String` | `getFirstName()` | Returns the value of the 'First Name' attribute.
    `EList<Group>` | `getGroups()` | Returns the value of the 'Groups' reference list.
    `java.lang.String` | `getLabel()` | Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLastName()` | Returns the value of the 'Last Name' attribute.
    `UserPassword` | `getPassword()` | Returns the value of the 'Password' containment reference.
    `EList<Role>` | `getUnassignedRoles()` | Returns the value of the 'Unassigned Roles' reference list.
    `boolean` | `isLocked()` | Returns the value of the 'Locked' attribute.
    `void` | `setDefaultAccessOverride​(Access value)` | Sets the value of the '`Default Access Override`' attribute.
    `void` | `setEmail​(java.lang.String value)` | Sets the value of the '`Email`' attribute.
    `void` | `setFirstName​(java.lang.String value)` | Sets the value of the '`First Name`' attribute.
    `void` | `setLastName​(java.lang.String value)` | Sets the value of the '`Last Name`' attribute.
    `void` | `setLocked​(boolean value)` | Sets the value of the '`Locked`' attribute.
    `void` | `setPassword​(UserPassword value)` | Sets the value of the '`Password`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Assignee

      `getId, getRoles, setId`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

- - ### Field Detail

    - #### ADMINISTRATOR

          static final java.lang.String ADMINISTRATOR

      Since:
        4.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getGroups

          EList<Group> getGroups()

      Returns the value of the 'Groups' reference list. The list contents are of type `Group`. It is bidirectional and its opposite is '`Users`'.

      If the meaning of the 'Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Groups' reference list.
      See Also:
        `SecurityPackage.getUser_Groups()`, `Group.getUsers()`
      Generated
      Model
        opposite="users"

    - #### getAllGroups

          EList<Group> getAllGroups()

      Returns the value of the 'All Groups' reference list. The list contents are of type `Group`.

      If the meaning of the 'All Groups' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Groups' reference list.
      See Also:
        `SecurityPackage.getUser_AllGroups()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getAllRoles

          EList<Role> getAllRoles()

      Returns the value of the 'All Roles' reference list. The list contents are of type `Role`.

      If the meaning of the 'All Roles' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Roles' reference list.
      See Also:
        `SecurityPackage.getUser_AllRoles()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getAllPermissions

          EList<Permission> getAllPermissions()

      Returns the value of the 'All Permissions' reference list. The list contents are of type `Permission`.

      If the meaning of the 'All Permissions' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'All Permissions' reference list.
      See Also:
        `SecurityPackage.getUser_AllPermissions()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getUnassignedRoles

          EList<Role> getUnassignedRoles()

      Returns the value of the 'Unassigned Roles' reference list. The list contents are of type `Role`.

      If the meaning of the 'Unassigned Roles' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Unassigned Roles' reference list.
      See Also:
        `SecurityPackage.getUser_UnassignedRoles()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `SecurityPackage.getUser_Label()`
      Generated
      Model
        transient="true" changeable="false" volatile="true" derived="true"

    - #### getFirstName

          java.lang.String getFirstName()

      Returns the value of the 'First Name' attribute.

      If the meaning of the 'First Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'First Name' attribute.
      See Also:
        `setFirstName(String)`, `SecurityPackage.getUser_FirstName()`
      Generated
      Model

    - #### setFirstName

          void setFirstName​(java.lang.String value)

      Sets the value of the '`First Name`' attribute.
      Parameters:
        `value` - the new value of the 'First Name' attribute.
      See Also:
        `getFirstName()`
      Generated

    - #### getLastName

          java.lang.String getLastName()

      Returns the value of the 'Last Name' attribute.

      If the meaning of the 'Last Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Last Name' attribute.
      See Also:
        `setLastName(String)`, `SecurityPackage.getUser_LastName()`
      Generated
      Model

    - #### setLastName

          void setLastName​(java.lang.String value)

      Sets the value of the '`Last Name`' attribute.
      Parameters:
        `value` - the new value of the 'Last Name' attribute.
      See Also:
        `getLastName()`
      Generated

    - #### getEmail

          java.lang.String getEmail()

      Returns the value of the 'Email' attribute.

      If the meaning of the 'Email' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Email' attribute.
      See Also:
        `setEmail(String)`, `SecurityPackage.getUser_Email()`
      Generated
      Model

    - #### setEmail

          void setEmail​(java.lang.String value)

      Sets the value of the '`Email`' attribute.
      Parameters:
        `value` - the new value of the 'Email' attribute.
      See Also:
        `getEmail()`
      Generated

    - #### getDefaultAccessOverride

          Access getDefaultAccessOverride()

      Returns the value of the 'Default Access Override' attribute.

      Overrides the `Realm`'s default access permission for this user. When this attribute is set, its value establishes the minimum level of access for the user on all objects in the repository. In particular, it is not the access permission that applies to objects that are not otherwise covered by some permission rule for the user. All permissions are implicitly elevated at least to this override for the user.

      Returns:
        the value of the 'Default Access Override' attribute.
      See Also:
        `setDefaultAccessOverride(Access)`, `SecurityPackage.getUser_DefaultAccessOverride()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.security.AccessObject"

    - #### setDefaultAccessOverride

          void setDefaultAccessOverride​(Access value)

      Sets the value of the '`Default Access Override`' attribute.
      Parameters:
        `value` - the new value of the 'Default Access Override' attribute.
      See Also:
        `getDefaultAccessOverride()`
      Generated

    - #### getDefaultAccess

          Access getDefaultAccess()

      Returns the value of the 'Default Access' attribute.

      The minimum level of access for the user on all objects in the repository. This is either the default set for all users in the `Realm` or an override set specifically on this user.

      Returns:
        the value of the 'Default Access' attribute.
      See Also:
        `SecurityPackage.getUser_DefaultAccess()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.security.AccessObject" transient="true" changeable="false" volatile="true" derived="true"

    - #### isLocked

          boolean isLocked()

      Returns the value of the 'Locked' attribute.

      If the meaning of the 'Locked' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Locked' attribute.
      See Also:
        `setLocked(boolean)`, `SecurityPackage.getUser_Locked()`
      Generated
      Model

    - #### setLocked

          void setLocked​(boolean value)

      Sets the value of the '`Locked`' attribute.
      Parameters:
        `value` - the new value of the 'Locked' attribute.
      See Also:
        `isLocked()`
      Generated

    - #### getPassword

          UserPassword getPassword()

      Returns the value of the 'Password' containment reference.

      If the meaning of the 'Password' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Password' containment reference.
      See Also:
        `setPassword(UserPassword)`, `SecurityPackage.getUser_Password()`
      Generated
      Model
        containment="true"

    - #### setPassword

          void setPassword​(UserPassword value)

      Sets the value of the '`Password`' containment reference.
      Parameters:
        `value` - the new value of the 'Password' containment reference.
      See Also:
        `getPassword()`
      Generated